function tipoDeGestaoFiscal() {
    const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
    const z = new ZeedhiAPIConstructor(browser, protractor);
    const Helper = require('teknisa-helper');
    const geralPage = new Helper.geral();
    const protractorHelper = require('protractor-helper');
    const self = this;
    this.abrir = () => {
        z.component.menu.open();
        protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
        z.component.menu.clickByPath(['Parametrização', 'Documentos Fiscais', 'Tipo de Gestão Fiscal']);
        geralPage.esperarLoading();
    };


    this.adicionartipoDeGestaoFiscal = (cdtpfaturfis, nmtpfaturfis) => {
        geralPage.clickAdicionar();
        geralPage.clickAndFllField('CDTPFATURFIS', cdtpfaturfis);
        geralPage.clickAndFllField('NMTPFATURFIS', nmtpfaturfis);
        geralPage.clickSalvar();
    };

    this.adicionarUnidadePorGestaoFiscal = (unidade) => {
        geralPage.clickAdicionar();
        geralPage.searchAndClickGridField('NMFILIAL', unidade, 'NMFILIAL');
    },

        this.editartipoDeGestaoFiscal = (nmtpfaturfis) => {
            geralPage.fillField('NMTPFATURFIS', nmtpfaturfis);
        };

    this.excluirtipoDeGestaoFiscal = (cdtpfaturfis, nmtpfaturfis) => {
        geralPage.clickExcluir();
        geralPage.clickSim();
    };
}
module.exports = new tipoDeGestaoFiscal();

